FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000958FL56. Access Control, Logging and Errorhandlingpublic2019-01-17 15:182019-07-11 22:29
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.19 
Target Version5.1.22Fixed in Version5.1.21 
Summary0000958: Error trace lost information if table output needs the whole space
DescriptionFor the error trace all the strings must be build dynamic. The 4 KiB for acCtx and the 16 KiB for acErr are to big for the most error traces but to small if a table specification printed to the report.

Rework of error handling to the str library required.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001280)
Falk Reichbott (administrator)
2019-07-11 22:29

Increase the buffer sizes, to collect more information. Error handling can not be make dynamic because there is then no chance anymore to provide error information if not enough memory anymore.

The memory for the error trace must be allocated in front of the error occurred and can not be adjusted dynamically.

- Issue History
Date Modified Username Field Change
2019-01-17 15:18 Falk Reichbott New Issue
2019-01-17 15:18 Falk Reichbott Status new => assigned
2019-01-17 15:18 Falk Reichbott Assigned To => Tilo Eckert
2019-03-15 15:04 Falk Reichbott Target Version 5.1.20 => 5.1.21
2019-06-24 09:33 Falk Reichbott Target Version 5.1.21 => 5.1.22
2019-07-11 22:29 Falk Reichbott Note Added: 0001280
2019-07-11 22:29 Falk Reichbott Status assigned => resolved
2019-07-11 22:29 Falk Reichbott Fixed in Version => 5.1.21
2019-07-11 22:29 Falk Reichbott Resolution open => fixed
2019-07-11 22:29 Falk Reichbott Assigned To Tilo Eckert => Falk Reichbott


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker